textures/54/green_black_metal_grate
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm	metalsteps	
	   cull none
        nopicmip
	{
		map textures/54/green_black_metal_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

	
textures/54/cable
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	qer_trans 0.9
	{
		map textures/54/cable.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/54/galv_lattice
{
	//surfaceparm playerclip
	//surfaceparm trans
	cull disable
	//qer_trans 0.9
	{
		map textures/54/galv_lattice.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/54/green_glass
{
	qer_editorimage textures/54/green_haze.tga
	q3map_lightimage textures/54/green1.tga
	surfaceparm nodlight
	surfaceparm trans
	cull disable
	q3map_surfacelight 80
	{
		map textures/54/green_haze.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/54/green_haze2.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
	{
		animmap 0.25 textures/54/monitor_display1.tga textures/54/monitor_display2.tga 
		blendfunc blend
	}
}

textures/54/screens_multi
{
	qer_editorimage textures/54/screen2.tga
	{
		animmap 0.5 textures/54/screen2.tga textures/54/screen3.tga textures/54/screen1.tga textures/54/screen3.tga 
	}
}

textures/54/screen1
{
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map textures/54/screen1.tga
		tcMod scroll 0 0.1
	}
}

textures/54/screen2
{
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map textures/54/screen2.tga
		tcMod turb 0 2 0 1
		tcMod turb 0 5 2 1
	}
}

textures/54/trees1
{
	qer_editorimage textures/54/trees1.tga
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/trees1.tga
		blendfunc blend
	}
}

textures/54/fog_dark
{
	qer_editorimage textures/54/fog_dark.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0 0 0 ) 2048
	{
		map textures/54/water_noise.tga
		blendfunc add
		tcMod scroll 0.06 0.02
		tcMod turb 0 0.1 0 0.1
	}
}

textures/54/waterlite_grn_50
{
	qer_editorimage textures/54/waterlight_green.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	q3map_surfacelight 50
	{
		map textures/54/waterlight_green.tga
		blendfunc add
	}
	{
		map textures/54/watercrap.tga
		blendfunc add
		rgbGen identityLighting
		tcMod scroll 0.1 0
		tcMod turb 1 0.02 2 0.5
		tcMod scale 1 3
	}
}

textures/54/waterlite_red_50
{
	qer_editorimage textures/54/waterlight_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	q3map_surfacelight 50
	q3map_globaltexture
	{
		map textures/54/waterlight_red.tga
		blendfunc add
	}
}

//textures/54/fed54
//{
//	q3map_lightimage textures/54/nightsky_light.tga
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	surfaceparm sky
//	skyParms env/fed54 128 -
//	{
//		map textures/54/nightskyblend.tga
//		tcMod scroll 0.002 0
//		tcMod scale 3 3
//		depthWrite
//	}
//}
textures/54/fed54
{
	q3map_lightimage textures/54/nightsky_light.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyParms env/fed54 128 -
	q3map_skylight 120 3
	// q3map_surfacelight 120
	// note: Change the surfacelight value if you want more ambient light from the sky.
	// q3map_sun 1.0 0.9 0.8 60 240 80
	// note: Change the fourth value if you want a brighter or dimmer sun
	// skyparms env/fed54 - -
	// q3map_globaltexture
	{
		map textures/54/nightskyblend.tga
		tcMod scroll 0.002 0
		tcMod scale 3 3
		depthWrite
	}
}

textures/sfx/portal_54
{
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc blend
		alphaGen portal 512
	}
}

textures/54/Red_100
{
	qer_editorimage textures/54/red.tga
	q3map_lightimage textures/54/red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.7
	q3map_surfacelight 3000
	skyParms - 128 -
}

textures/sfx/portal_56
{
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc blend
		rgbGen identityLighting
		tcMod rotate -0.09
		tcMod scroll 0.02 0.03
		tcMod turb 0 1 0 0.02
		alphaGen portal 512
	}
}

textures/54/corona_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		clampmap textures/54/corona_red.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
}

textures/54/red_light_security
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/54/red_light_security.tga
		blendfunc add
		rgbGen wave sin 0.2 2 0 1 
	}
}

textures/54/secure
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/54/secure.tga
		blendfunc add
	}
}

textures/54/open
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/54/open.tga
		blendfunc add
	}
}

textures/54/yel_light_security
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/54/yel_light_security.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
}

textures/54/grn_light_security
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/54/grn_light_security.tga
		blendfunc add
	}
}

textures/54/nodrawsolid
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
}

textures/54/fedsky1
{
	qer_editorimage textures/54/fed_dimclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100
	q3map_sun 0.807901 0.90395 1 1 180 80
	q3map_sun 0.807901 0.90395 1 1 60 85
	skyParms - 512 -
	{
		map textures/54/fed_dimclouds.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
}

textures/54/fedsky
{
	qer_editorimage textures/54/fed_basesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 256
	q3map_surfacelight 200
	q3map_globaltexture
	q3map_sun 0.266383 0.274632 0.358662 150 60 85
	skyParms - 512 -
	{
		map textures/54/fed_dimclouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/54/fed_basesky.tga
		blendfunc add
		tcMod scroll -0.01 -0.01
		tcMod scale 5 5
	}
}

textures/54/fed_radar
{
	qer_editorimage textures/54/radar.tga
	surfaceparm trans
	cull disable
	qer_trans 0.9
	{
		map textures/54/radar.tga
		blendfunc blend
		rgbGen oneMinusEntity
	}
}

textures/54/helio_pad
{
	qer_editorimage textures/54/helio_pad.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.9
	{
		map textures/54/helio_pad.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen oneMinusEntity
		tcGen lightmap 
	}
}

textures/54/fed_glass1
{
	qer_editorimage textures/54/fed_glass1.tga
	surfaceparm nodlight
	surfaceparm trans
	cull disable
	qer_trans 0.9
	{
		map textures/54/fed_glass1.tga
		blendfunc blend
		rgbGen identity
		tcGen environment 
	}
}

textures/54/clock
{
	qer_editorimage textures/54/clock.tga
	{
		map textures/54/clock.tga
		blendfunc blend
		rgbGen Vertex
	}
}

textures/54/cola_machine2
{
	qer_editorimage textures/54/cola_machine2.tga
	{
		map textures/54/tinfx.tga
		blendfunc filter
		//  rgbGen identity
	}
	{
		map textures/54/cola_machine2.tga
		rgbGen identity
		tcGen environment 
	}
	// {
	//  map $lightmap 
	//  blendfunc gl_dst_color gl_one_minus_dst_alpha
	//  rgbGen identity
	//  tcGen lightmap 
	// }
}

textures/54/razorwire1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/razorwire1.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

//restroom sign
textures/54/restrooms
{
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/restrooms.tga
		rgbGen Vertex
	}
}

//mens room sign
textures/54/men_lft
{
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/men_lft.tga
		rgbGen Vertex
	}
}

//mens room sign
textures/54/men_rt
{
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/men_rt.tga
		rgbGen Vertex
	}
}

textures/54/women_lft
{
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/women_lft.tga
		rgbGen Vertex
	}
}

textures/54/women_rt
{
	surfaceparm nonsolid
	cull disable
	{
		map textures/54/women_rt.tga
		rgbGen Vertex
	}
}

textures/54/white1_100
{
	q3map_lightimage textures/54/white1.tga
	q3map_surfacelight 1
	{
		map textures/54/tinfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
	}
}

textures/54/white1_1K
{
	q3map_lightimage textures/54/white1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/white1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
	}
}

textures/54/white1_1.5K
{
	q3map_lightimage textures/54/white1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/white1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
	}
}

textures/54/white1_2K
{
	q3map_lightimage textures/54/white1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/white1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
	}
}

textures/54/white1_5K
{
	q3map_lightimage textures/54/white1.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/white1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
	}
}

textures/54/proto_light
{
	q3map_lightimage textures/54/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/proto_light.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/proto_lightmap.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 1 0.1 
	}
	{
		map textures/54/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 5 1 3 
	}
	{
		map textures/54/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 2 0 7 
		tcMod scale -1 -1
	}
}

textures/54/white3
{
	qer_editorimage textures/54/proto_light.tga
	q3map_lightimage textures/54/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/proto_light.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/proto_lightmap.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 1 0.1 
	}
	{
		map textures/54/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 5 1 3 
	}
	{
		map textures/54/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 2 0 7 
		tcMod scale -1 -1
	}
}

textures/54/landinglt.tga
{
	q3map_lightimage textures/54/landinglt.tga
	surfaceparm nonsolid
	q3map_surfacelight 500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/red.tga
		blendfunc filter
		rgbGen wave inversesawtooth 0 1 0 1 
	}
	{
		map textures/54/landinglt.tga
		blendfunc add
	}
}

textures/54/white2
{
	qer_editorimage textures/54/white1.tga
	q3map_lightimage textures/54/white1.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/white1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/white1.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.25 0.5 2 2 
	}
}

textures/54/ceilingtile
{
	qer_editorimage textures/54/ceilingtile.tga
	q3map_lightimage textures/54/ceilingtile_blend.tga
	q3map_surfacelight 5
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/ceilingtile.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/ceilingtile_blend.tga
		blendfunc add
	}
}

textures/54/ceilingtile2
{
	qer_editorimage textures/54/ceilingtile.tga
	q3map_lightimage textures/54/ceilingtile_blend_original.tga
	q3map_surfacelight 2
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/ceilingtile.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/ceilingtile_blend_original.tga
		blendfunc add
	}
}

textures/54/vent
{
	qer_editorimage textures/54/vent.tga
	q3map_lightimage textures/54/vent_blend.tga
	q3map_surfacelight 1
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/54/vent.tga
		blendfunc blend
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/54/vent.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/54/vent_blend.tga
		blendfunc add
	}
}

textures/54/wallpaper1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/54/wallpaper1.tga
		rgbGen Vertex
	}
}

